corda / net.corda.core.testing / InstantGenerator

# InstantGenerator

`class InstantGenerator : Generator<Instant>`

### Constructors

<init> | `InstantGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): Instant`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck